# lge320-reader

Read data from the Landis+Gyr E320 electricity meter (or any DIN EN 62056‐21-compatible meter on 9600 Baud)
In the `if __name__ == "__main__"` statement, an example data processing is written (as it is in use by me) - sending data to MQTT every second (on each data receive of the Landis+Gyr) and writing data to an influx database every 10s is currently implemented and can be configured using the `.env` file.


## Usage

First, you need to configure all the necessary values in the .env file. After configuring, run

```bash
python3 lge320reader.py
```

...to run the script.


## License

This project is licensed under the terms of the GNU General Public License v3.0 or later, see [COPYING](COPYING).
